local UILib = require("common.UILib")
local Enum = require("common.Enum")
local P={}
local curSceneType = Enum.SCENE_TYPE.TITLE
local nextSceneType =  Enum.SCENE_TYPE.NO_CHANGE
local transitionType = UILib.TRANSITION_TYPE.FADE

function P.setNextType(nextType, _transitionType)
    nextSceneType = nextType
    transitionType = _transitionType
end

function P.setCurType(curType)
    curSceneType = curType
end

function P.getCurType()
    return curSceneType
end

function P.getNextType()
    return nextSceneType
end

function P.getTransitionType()
    return transitionType
end
return P