local P={}

P.CHANNEL = {
    IOS_APPSTORE = 1,
    WP_STORE = 2,
    ANDROID_PHONE_GOOGLE = 3,
    ANDROID_TV_GOOGLE = 4,
}

P.PAY_TYPE = {
    APPLE_STORE = "APPLE",
    GOOGLE_PLAY = "GOOGLE",
    WINDOWS_STORE = "WINDOWS",
    IAPPPAY = "IAPPPAY",
}

P.OS_TYPE = {
    IOS = 0,
    ANDROID = 1,
}

P.SCENE_TYPE = {
    NO_CHANGE = 1,
    WORLD = 2,
    LOGO = 3,
    TITLE = 4,
}

P.LAYER_TYPE = {
    NONE = 0,
    WARNING = 1,
    MAIN_POP = 2,
    MAIN_POP_SOUL = 3,
    MAIN_POP_MAP = 4,
    MAIN_POP_BAG = 5,
    MAIN_POP_COLLECTION = 6,
    MAIN_POP_SYSTEM = 7,
    SINGLE_POP_EQUIPMENT_WEAPON = 8,--4,
    SINGLE_POP_EQUIPMENT_ARMOUR = 9,
    SINGLE_POP_EQUIPMENT_ADORN_DATA = 10,
    SINGLE_POP_MAIN_SHOP = 11,
    SINGLE_POP_NPC_SHOP = 12,--8,
    LOADING = 13,
    MULTIP_CHOICE = 14,
    NOTICE = 15,
}

P.DIR = {
    LK_DIR_RIGHT = 0,
    LK_DIR_LEFT = 1,
    LK_DIR_DOWN = 2,
    LK_DIR_UP = 3,
    LK_DIR_RIGHT_UP = 4,
    LK_DIR_RIGHT_DOWN = 5,
    LK_DIR_LEFT_DOWN = 6,
    LK_DIR_LEFT_UP = 7,
    LK_DIR_NONE = 8,
}

P.DATA = {
    TEXT = "text",
    PLAYER = "ap_c",
    ABOUT = "about",
    HELP = "help",
    GAME_DETAIL = "help2",
}

P.FILE = {
    GAME_CHUNK_NAME = "chunk.dat",
    GAME_SETTING_NAME = "setting.dat",
}

P.LANG = {
    NONE = 1,
    EN = 2,
    ZH_CN = 3,
    ZH_HK = 4,
    JP = 5,
}

P.ACTOR_STATUS = {
    NORMAL = 0,
    PURSUE = 1,
    ATTACK = 2,
    SUMMONING = 3,
    DEAD = 4,
    FREEZE = 5,
    SKILL = 6,
    HITDOWN = 7,
    KEEP_POWER_ATK = 8,
    WAITREBORN = 9,
    FOLLOW_OWNER = 10,
    PET_APPEAR = 11,
}

P.ANI_TYPE = {
    KEEY_POWER = 30,
}

---数字集
P.DIGITAL = {
    WHITE_ROUND = "p_80.pngHK",--白色圆形,eg.PluginStatus lv/points
    BLUE = "p_105.pngHK",--蓝色,eg.PluginStatus point number
    RED = "p_107.pngHK",--红色
    BEIGE = "p_108.pngHK",--米黄色,eg.PluginStatus hp/mp/exp digital
    BLUE2 = "p_94.pngHK",--浅蓝
    SQUARE = "p_104.pngHK",--方形
    GREEN = "p_106.pngHK",--绿色
    CRIT_NUMBER = "p_109.pngHK",--红色,eg.WorldScene showHitCount
}

P.TEXT_IMG = {
    UPGRADE = "p_125",--升级
    MP = "p_25",--法
    SUMMON = "p_142",--召
    ASSISTANT = "p_143",--附
    MAGIC = "p_144",--术
    BACK = "p_48",--返回
    STR = "p_34",--力量
    INT = "p_35",--智慧
    AGI = "p_36",--敏捷
    MAIN_MIS = "p_57",--主线
    EXTRA_MIS = "p_58",--支线
    SMELT = "p_156",--锻造
    UNEQUIP = "p_154",--卸下
    USE = "p_49",--使用
    EQUIP = "p_47",--装备
    BUY = "p_147",--购买(有黑色底)
    BUY_NOBG = "p_85",--购买
    STRENGTHEN = "p_59",--强化
    GET = "p_53",--获取
    SELL = "p_155",--卖出(有黑色底)
    SELL_NOBG = "p_86",--卖出
    SMELTSOUL = "p_148",--炼魂
    LEVEL = "p_122",--等级
    PROPERTY = "p_118",--属性
    ORDER = "p_119",--编号
    RARE = "p_120",--稀有
    HP = "p_123",--生命
    MP = "p_124",--法力
    DEMON_BLACK = "p_130",--黑色小字体“妖怪”@see UpgradeView
    CONTINUE = "p_39",--连
    WEAPON = "p_54",--武器
    ARMOR = "p_55",--防具
    DEMON = "p_56",--妖怪
    OPEN = "p_151",--开
    CLOSE = "p_152",--关
    INPUT = "p_101",--输入
    RESTORE = "p_232",--恢复(购买)
}

P.ITEM_OP = {
    EQUIP = 1,
    STRENGTHEN = 2,
    USE = 3,
    SMELT = 4,
    UNEQUIP = 5,
    BUY = 6,
    GET = 7,
    SELL = 8,
    SMELTSOUL = 9,
    EQUIP_SOUL = 10,
    UNEQUIP_SOUL = 11,
    UPGRADE = 12,
}

P.PROP_IMG_NAME = {
    [0] = "p_114",
    [1] = "p_115",
    [2] = "p_116",
    [3] = "p_117",
}

P.IMG_NAME = {
    BUT_BG_1 = "p_41",
    BUT_BG_2 = "p_40",
}

P.IMG_NAME_PNGHK = {
    ATK = "p_28.pngHK",
    DEF = "p_31.pngHK",
    AGI = "p_33.pngHK",
    BACK = "p_7.pngHK",
    LEFT_ARROW_UN = "p_103.pngHK",
    LEFT_ARROW_S = "p_44.pngHK",
    LEFT_ARROW = "p_74.pngHK",
    WARN_BG = "p_73.pngHK",
    BUTTON_BG = "p_76.pngHK",--毛笔字刷样式按钮背景
    BUTTON_BG2 = "p_98.pngHK",--半透明按钮背景
    RIGHT_ARROW = "p_134.pngHK",
    LAKOO = "p_102.pngHK",--@201X Lakoo字样
    MAIL = "p_99.pngHK",--没邮件按钮状态
    MAIL_HAS = "p_100.pngHK",--有邮件按钮状态
    LAKOO_ICON = "lakoo.png",--Lakoo logo
    DETAIL_BG = "p_121.pngHK",--帮助，关于背景
    LANG_BG = "cg0.pngHK",--女娲图，语言设置背景
    OPTION_BG = "p_150.pngHK",--语言设置项,成就数据项背景
    ACHIEVEMENT_BG = "p_46.pngHK",--成就信息背景
    NOTICE_BG = "notice_bg.png",--公告背景
    NOTICE_BACK = "notice_back.png",--公告返回
    CONTROL_HELP = "cg01.pngHK"
}

P.EP = {
    WEAPON = 0,
    ARMOR = 1,
    ADORN = 2,
    ADORN2 = 3,--暂时没用
    BOTTLE = 4,
    CATCH = 5,
}

P.BAG_TYPE = {
    BAG = 1,
    SOUL = 2,
    COLLECTION = 3,
}

P.BAG_TAG = {
    EQUIPMENT = 1,
    POTION = 2,
    QUEST = 3,
    SUMMON = 4,
    MERGE = 5,
    TRANSMUTEITEM = 6,
    WEAPON = 7,
    ARMOR = 8,
    DEMON = 9,
    EQUIPMENT_WEAPON = 10,--SingleBag:点击“状态”中的武器使用
    EQUIPMENT_ARMOUR = 11,--SingleBag:点击“状态”中的防具使用
    EQUIPMENT_ADORN_DATA = 12,--SingleBag:点击“状态”中的饰品使用
    SHOP = 13,
    NPC_SHOP = 14,--npc shop buy
    NPC_SHOP_SELL = 15,
}

P.PROPERTY = {
    LEVEL                     =  0,
    EXP                       =  1,
    NEXT_EXP                  =  2,
    POINTS                    =  3,
    HP                        =  4,
    MP                        =  5,
    MAX_HP                    =  6,
    MAX_MP                    =  7,
    HP_PERCENT                =  8,
    MP_PERCENT                =  9,
    STRENGTH                  =  10,
    INTELLIGENCE              =  11,
    AGILITY                   =  12,
    WILL                      =  13,
    LUCK                      =  14,
    ATTACK                    =  15,
    DEFEND                    =  16,
    MAGIC_ATTACK              =  17,
    MAGIC_DEFEND              =  18,
    TO_HIT                    =  19,
    AVOID                     =  20,
    CRITRATE                  =  21,
    RESIST                    =  22,
    EFFECTSTATUS              =  23,
    MOVESTEP                  =  24,
    ATK_ATTRIBUTE             =  25,
    DEF_ATTRIBUTE             =  26,
    SOUL_STONE                =  27,
    MONEY                     =  28,
    OTHER_1                   =  29,
    OTHER_2                   =  30,
    OTHER_3                   =  31,
    OTHER_4                   =  32,
    OTHER_5                   =  33,
    OTHER_6                   =  34,
    OTHER_7                   =  35,
    OTHER_8                   =  36,
    OTHER_9                   =  37,
    OTHER_10                  =  38,
    BASE_HP                   =  39,
    BASE_MP                   =  40,
    SOULCD_PRECENT            =  41,    --cd 时间百分
    ASSISLAST_PRECENT         =  42,    --伏身持续百分比
    PET_ACTION_PERCENT        =  43,    --召唤攻击间隔百分比
    EFFECT_LAST_PERCENT       =  44,    --异常持续时间百分比
    CRITATK_PRECENT           =  45,    --爆击百分比默认150
--/**************************成就属性**********************************/
    CJ_KILL_MONSTER_NUM       =  46,
    CJ_CATCH_MONSTER_NUM      =  47,
    CJ_MAX_HITCOUNT           =  48,
    CJ_SAVE_TIMES             =  49,
    CJ_USEBOTTOLE_TIMES       =  50,
    CJ_STRENGTH_TIMES         =  51,
    CJ_KILL_BOSS_NUM          =  52,
    CJ_SEARCHMAP_NUM          =  53,
    CJ_GET_BOX_NUM            =  54,
    CJ_QUEST_DONE_NUM         =  55,
--/****************************END************************************/
}

P.TEXT = {
--/***********************************MESSAGE********************************************/
    T_ADDPIC_LEFT_STR              = 0,
    T_STRENGTH                     = 1,
    T_INTELLIGENCE                 = 2,
    T_AGILITY                      = 3,
    T_BACK                         = 4,
    T_ADDPIC_RIGHT_STR             = 5,
    T_SAVE                         = 6,
    T_LOAD                         = 7,
    T_NO_SAVE                      = 8,
    T_NO_AUTO_SAVE                 = 9,
    T_REPLACE                      = 10,
    T_DETAIL                       = 11,
    T_UPDATE                       = 12,
    T_LEVEL_FULL                   = 13,
    T_UNEQUIP                      = 14,
    T_QUESTION_MARK                = 15,
    T_NONE                         = 16,
    T_HP                           = 17,
    T_MP                           = 18,
    T_JI                           = 19,
    T_DE                           = 20,
    T_SOUL                         = 21,
    T_SOUL_STONE                   = 22,
    T_PASS                         = 23,
    T_UNLOCK                       = 24,
    T_LOCK                         = 25,
    T_ADORN                        = 26,
    T_WEAPON                       = 27,
    T_ARMOUR                       = 28,
    T_MONSTER                      = 29,
    T_ACHIEVEMENT                  = 30,
    T_PIC                          = 31,
    T_CANNOT                       = 32,
    T_USE                          = 33,
    T_BAG                          = 34,
    T_ALREADY_FULL                 = 35,
    T_NUMBER                       = 36,
    T_BUY                          = 37,
    T_MONEY                        = 38,
    T_NOT_ENOUGH                   = 39,
    T_SUCCEED                      = 40,
    T_BL                           = 41,
    T_SELL                         = 42,
    T_HASNOT                       = 43,
    T_GAIN                         = 44,
    T_CAST_SOUL                    = 45,
    T_EQUIPMENT                    = 46,
    T_NOT_MATCH                    = 47,
    T_CATCH                        = 48,
    T_NEED                         = 49,
    T_SURE_2_ADD_POINT             = 50,
    T_FUNCTION_NO_OPEN             = 51,
    T_MATERIAL                     = 52,
    T_EXP                          = 53,
    T_MUSIC                        = 54,
    T_MUSIC_EFFECT                 = 55,
    T_CLOSE                        = 56,
    T_BACK_TO_TITLE                = 57,
    T_ON                           = 58,
    T_OFF                          = 59,
    T_LOW                          = 60,
    T_MID                          = 61,
    T_HEIGHT                       = 62,
    T_YI                           = 63,
    T_GAME_START                   = 64,
    T_GAME_CONTINUE                = 65,
    T_GAME_DETAILS                 = 66,
    T_GAME_SNS                     = 67,
    T_GAME_HELP                    = 68,
    T_GAME_ABOUT                   = 69,
    T_GAME_SETTING                 = 70,
    T_GAME_EXIT                    = 71,
    T_FULL_QUEST_TIPS              = 72,
    T_CJ_TIPS                      = 73,
    T_LOSS                         = 74,
    T_JIAN                         = 75,
    T_LEVEL                        = 76,
    T_UPGRADE                      = 77,
    T_UPGRADE_TIPS                 = 78,
    T_ALREADY                      = 79,
    T_OKAY                         = 80,
    T_CDING                        = 81,
    T_EXIT_ARENA                   = 82,
    T_ARENA                        = 83,
    T_CHALLENGE_FAILED             = 84,
    T_LOCK_TIPS                    = 85,
    T_UNKNOWN                      = 86,
    T_ERROR_BAGOP_BAG_FULL         = 87,
    T_ERROR_BAGOP_ITEM_NULL        = 88,
    T_ERROR_BAGOP_NUM_ERROR        = 89,
    T_ERROR_BAGOP_TOO_MANY         = 90,
    T_ERROR_NOT_ENOUGH_LEVEL       = 91,
    T_ERROR_NULL_EQUIPMENTS        = 92,
    T_ERROR_EMBEND_ERROR           = 93,
    T_ERROR_SLOT_ERROR             = 94,
    T_ERROR_BALL_DUPLICATE         = 95,
    T_SERVE                        = 96,
    T_PAY_SHOP                     = 97,
    T_PAY_CHANGE_MONEY1            = 98,
    T_PAY_CHANGE_MONEY2            = 99,
    T_PAY_LEVELUP_5                = 100,
    T_PAY_LEVELUP_15               = 101,
    T_PAY_BUY_SOUL_STONE_1         = 102,
    T_PAY_BUY_SOUL_STONE_2         = 103,
    T_PAY_BUY_PLAY                 = 104,
    T_PAY_6_DISCOUNT               = 105,
    T_PAY_RECOVER_1                = 106,
    T_PAY_RECOVER_2                = 107,
    T_PAY_3_DOUBLE_EXP             = 108,
    T_PAY_TREASURE                 = 109,
    T_PAY_WARNING                  = 110,
    T_PAY_MONEY_STONE              = 111,
    T_PAY_REVIVE                   = 112,
    T_PAY_50_STONE                 = 113,
    T_PAY_180_STONE                = 114,
    T_PAY_400_STONE                = 115,
    T_PAY_DETAILS_BUY_PLAY         = 116,
    T_PAY_DETAILS_6_DISCOUNT       = 117,
    T_PAY_DETAILS_RECOVER_1        = 118,
    T_PAY_DETAILS_RECOVER_2        = 119,
    T_PAY_DETAILS_3_DOUBLE_EXP     = 120,
    T_PAY_DETAILS_TREASURE         = 121,
    T_PAY_LEVEL_IS_FULL            = 122,
    T_PAY_MONEY_IS_FULL            = 123,
    T_PAY_SOUL_STONE_IS_FULL       = 124,
    T_UPDATE_ACHEIVE               = 125,
    T_LK_SNS                       = 126,
    T_SYSTEM_TIPS_LOADING          = 127,
    T_FORUM                        = 128,
    T_FORUM_INDEX                  = 129,
    T_FORUM_HELP                   = 130,
    T_FORUM_TIPS                   = 131,
    T_FORUM_RANK                   = 132,
    T_FORUM_CAPTURE                = 133,
    T_FORUM_INDEX_DETAILS          = 134,
    T_FORUM_HELP_DETAILS           = 135,
    T_FORUM_TIPS_DETAILS           = 136,
    T_FORUM_RANK_DETAILS           = 137,
    T_FORUM_CAPTURE_DETAILS        = 138,
    T_UPLOAD_INFO_OK               = 139,
    T_UPLOAD_INFO_LOSS             = 140,
    T_TIPS_SAVE                    = 141,
    T_CANNOT_SAVE                  = 142,
    T_SHOP                         = 143,
    T_FORGE                        = 144,
    T_SKIP                         = 145,
    T_READ_FILE_ERROR              = 146,
    T_BAG_FULL                     = 147,
    T_LEVEL_UPGRADE_TIPS           = 148,
    T_SOUL_BAG_FULL                = 149,
    T_MP_NOT_ENOUGH                = 150,
    T_EXCLAMATION_MARK             = 151,
    T_ACCEPT                       = 152,
    T_COMPLETE                     = 153,
    T_MONEY_NOT_ENOUGH             = 154,
    T_CANNOT_BUY                   = 155,
    T_BUY_SUCCEED                  = 156,
    T_NEED_MATERIAL_NOT_MATCH      = 157,
    T_SOUL_STONE_NOT_ENOUGH        = 158,
    T_LEVEL_NOT_ENOUGH             = 159,
    T_RED_HP_FULL                  = 160,
    T_RED_MP_FULL                  = 161,
    T_CANNOT_UPDATE_LEVEL_FULL     = 162,
    T_HASNOT_UPDATE                = 163,
    T_CAST_SOUL_SUCCEED            = 164,
    T_YES                          = 165,
    T_NO                           = 166,
    T_WHETHER_RETURN_TITLE         = 167,
    T_WHETHER_SAVE                 = 168,
    T_WHETHER_READ                 = 169,
    T_SMELT_SOUL                   = 170,
    T_GAIN_SOUL                    = 171,
    T_GAIN_PIC                     = 172,
    T_GAIN_ITEM                    = 173,
    T_LOSS_ITEM                    = 174,
    T_GAIN_MONEY                   = 175,
    T_GAIN_STONE                   = 176,
    T_USE_ITEM                     = 177,
    T_USE_ITEM_NUMBER              = 178,
    T_SELL_ITEM_NUMBER             = 179,
    T_GAIN_WEAPON                  = 180,
    T_ARENA_LEVEL_UNLOCK           = 181,
    T_ARENA_LEVEL_LOCK             = 182,
    T_ARENA_LEVEL_PASS             = 183,
    T_PLAYER_LEVEL_FULL            = 184,
    T_ITEM_NOT_ENOUGH              = 185,
    T_GAIN_SOUL_NUMBER             = 186,
    T_LITTLE_MAP                   = 187,
    T_SELECT_EQUIPMENT_PLEASE      = 188,
    T_OK                           = 189,
    T_SELECT_PIC_PLEASE            = 190,
    T_NOT_ADRON_IN_BAG             = 191,
    T_NOT_EQUIPMENT_IN_BAG         = 192,
    T_STRENGTH_GAIN                = 193,
    T_HIT                          = 194,
    T_AVOID                        = 195,
    T_CRIT                         = 196,
    T_EQUIPMENT_STRENGTH_SUCESS    = 197,
    T_CONNECT_SHOULD_SHUTDOWN      = 198,
    T_CONNECT_ERROR                = 199,
    T_UNKNOWN_ERROR                = 200,
    T_SPEND_STONE_GETING_ITEM      = 201,
    T_CANCEL                       = 202,
    T_LOST_MONEY                   = 203,
    T_ATK_STRING                   = 204,
    T_DEF_STRING                   = 205,
    T_MAGIC_ATK_STRING             = 206,
    T_MAGIC_DEF_STRING             = 207,
    T_TOHIT_STRING                 = 208,
    T_AVOID_STRING                 = 209,
    T_SAVE_OK                      = 210,
    T_SAVE_FAILED                  = 211,
    T_MAX_MP                       = 212,
    T_MAX_HP                       = 213,
    T_NEW_NEWS                     = 214,
    T_NOT_NEWS                     = 215,
    T_BONUS_ERROR                  = 216,
    T_JUMP                         = 217,
    T_BONUS                        = 218,
    T_WELCOME_BACK                 = 219,
    T_LANGUAGE                     = 220,
    T_WHETHER_START                = 221,
    T_GAIN_ITEM_EVEY_DAY           = 222,
    T_REMBER_TO_SAVE               = 223,
    T_WATCH_ADS                    = 666,
    T_ADS_REWARD_TIPS              = 667,
    --T_GET_STRING_ERROR              @"s,tring error %d" 
--/***********************************END********************************************/
}

P.ITEM_TYPE = {
    MEDICINE_DATA = 1,
    SPECIAL_DATA = 2,
    MATERIAL_DATA = 3,
    WEAPON_DATA = 4,
    ARMOUR_DATA = 5,
    ADORN_DATA = 6,
    CATCH_DATA = 7,
    BOTTLE_DATA = 8,
    MAGIC_DATA = 9,
    ASSISTANT_DATA = 10,
    MONSTER_DATA = 11,
    PIC_DATA = 12,
    IAP_ITEM = 13,
    
    WEAPON = 21,
    ARMOUR = 22,
    MAGIC = 23,
    ASSISTANT = 24,
    MONSTER_SOUL = 25,
}

P.ITEM_KEY = {
    POS = "pos",
    ID = "id",
    IS_EQUIPPED = "isEquipped",
    ICON_IDX = "iconImageIndex",
    ICON_IN_IDX = "iconInImageIndex",
    QUANTITY = "quantity",
    PROPERTY = "property",
    TYPE = "type",
    NAME = "name",
    LEVEL = "level",
    DETAIL = "detail",
    STR_KIND = "strengthKind",
    STR_VAL = "strengthValue",
    COST_STONE = "costStone",
    STR_TIMES = "strengthenTimes",
    MAGIC_COST_MP = "magicCostMp",
    ATK = "atk",
    DEF = "def",
    AGI = "agi",
    ASSISTANT_DETAIL = "assistantDetail",
    MAGIC_DETAIL = "magicDetail",
    EQ_SOUL_POS = "equipSoulPos",
    SELL_PRICE = "sellPrice",
}

P.PIC_KEY = {
    ID = "id",
    ICON_IDX = "iconImageIndex",
    ICON_IN_IDX = "iconInImageIndex",
    TYPE = "type",
    IS_HAS = "isHas",
    IS_CAN_CREATE = "isCanCreate",
    IS_HAS_FULL = "isHasFull",--煅造材料是否足够
    PROPERTY = "property",
    NAME = "name",
    DETAIL = "detail",
    RARE = "rare",
    M_A_IMG = "materialA_img",
    M_A_ICON = "materialA_icon", 
    M_A_NAME = "materialA_name", 
    M_B_IMG = "materialB_img",
    M_B_ICON = "materialB_icon", 
    M_B_NAME = "materialB_name", 
    M_COST_STONE = "materialCostStone",--炼魂、锻造所需费用
    COST_STONE = "costStone",--直接购买获取所需费用
    HEAD = "head",
    BODY = "body",
    ANI_NAME = "aniName",
}

P.UPGRADE_KEY = {
    O_ID = "oId",
    O_TYPE = "oType",
    O_IMG = "oIconImageIndex",
    O_ICON = "oIconInImageIndex",
    O_NAME = "oName",
    O_HP_VAL = "oHpVal",
    O_PREHP_VAL = "oPreHpVal",
    O_PREMP_VAL = "oPreMpVal",
    O_COST = "oCostNum",
    O_NEED_LV = "oNeedLv",

    N_ID = "nId",
    N_TYPE = "nType",
    N_IMG = "nIconImageIndex",
    N_ICON = "nIconInImageIndex",
    N_NAME = "nName",
    N_HP_VAL = "nHpVal",
    N_PREHP_VAL = "nPreHpVal",
    N_PREMP_VAL = "nPreMpVal",
}

P.ACH_KEY = {
    ID = "id",
    SOUL_STONE = "soulStone",
    NAME = "name",
    DETAIL = "detail",
    ACHIEVEMENT = "achievement",
    VALUE = "value",
    MONEY = "money",
    IS_HAS_CJ = "isHasCj",
}

P.IAP_KEY = {
    IAP_INDEX = "ipaIdx",
    IAP_ID = "iapId",
    TYPE = "type",
    IMG = "iconImageIndex",
    ICON = "iconInImageIndex",
    NUM = "num",
    BAG_NUM = "bagNum",
    NAME = "name",
    DETAIL = "detail",
    LOCAL_PRICE = "localPrice",
    COST_MONEY = "costMoney",
    COST_STONE = "costStone",
    IS_M = "isMonsterItem",
    PROPERTY = "property",
    ATK = "atk",
    DEF = "def",
    AGI = "agi",
    ASSISTANT_DETAIL = "assistantDetail",
    MAGIC_DETAIL = "magicDetail",
    PROPERTY = "property",
    LEVEL = "level",
    USETYPE = "useType",
}

P.STRENGTH_PROP = {
    [1] = P.TEXT.T_HIT,
    [2] = P.TEXT.T_AVOID,
    [3] = P.TEXT.T_CRIT,
    [4] = P.TEXT.T_STRENGTH,
    [5] = P.TEXT.T_INTELLIGENCE,
    [6] = P.TEXT.T_AGILITY,
    [7] = P.TEXT.T_MAX_HP,
    [8] = P.TEXT.T_MAX_MP,
}

P.ANI = {
    RPIC = "rpic",--武器初始形象
    R0 = "r0",--主角初始形象，也用作图鉴防具展示的初始形象
}

P.PAY_STATUS = {
    NONE = 0,
    PAYING = 1,
    SUCCESS = 2,
    FAIL = 3,
}

P.ITEM_ID = {
    REBORN_ITEM_ID = 9,
    FREE_SOULSTONE_ID = 22,    --Tapjoy item Id
}

P.LVUP_TIPS_STATUS = {
    LVUP_NONE = 0,
    LVUP_ING = 1,
    LVUP_DRAW_1 = 2,
    LVUP_DRAW_2 = 3,
}

P.ITEM_USETYPE = {
    INDEX_USETYPE_SAVE = 1,
    INDEX_USETYPE_USE = 2,
    INDEX_USETYPE_DEAD = 1,
    INDEX_USETYPE_ADDITION = 3,
}

P.NOTICE_TYPE = {
    NONE = 0,
    OPEN_REVIEW = 1,
}

P.WEB_URL_TYPE = {
    NONE = 0,
    TITLE_NOTICE = 1,
    CONTACT_US = 2,
}

P.ADMOB_REWARD_VIDEO_LIST = {
    TEST = 0,
    REWARD_STONE = 1,
    REWARD_REBORN = 2,
}

return P
