local MathUtil = require("common.MathUtil")
local Text = require("conf.Text")
local IDX = require("conf.TextIndex")
local GamePool = require("model.GamePool")

local P={}

function P.mainTest()
    --P.testTriangle()
    --P.testGetIntersectPoint()
    --P.testText()
    P.testHttp()
end

function P.testHttp()
    --NetworkManager.requestRegister()
end

function P.testText()
    local text = Text.get(IDX.OK)
    cclog("text==%s",text)
end

function P.testTriangle()    
    --local area = MathUtil.triangleArea(cc.p(5,0),cc.p(10, 0),cc.p(0,10))
    --cclog("triangleArea=%f",area)
    local r = MathUtil.triangleContainsPoint(cc.p(0, 0),cc.p(10, 0),cc.p(0, 10),cc.p(5, 6))
    cclog("triangleContainsPoint r=%d",r)
end

function P.testGetIntersectPoint()
    MathUtil.getIntersectPoint(cc.p(70, 70),50,cc.p(140, 140))
end

return P